QXmlLocator(3qt)

NAME
QXmlLocator - The XML handler classes with information about the parsing position within a file

SYNOPSIS
All the functions in this class are reentrant when Qt is built with thread support.</p>

#include <qxml.h>

  Public Members
QXmlLocator ()
virtual ~QXmlLocator ()
virtual int columnNumber () = 0
virtual int lineNumber () = 0

DESCRIPTION
The QXmlLocator class provides the XML handler classes with information about the parsing position within a file.

The reader reports a QXmlLocator to the content handler before it starts to parse the document. This is done with the QXmlContentHandler::setDocumentLocator() function. The handler classes can now use this locator to get the position (lineNumber() and columnNumber()) that the reader has reached.

See also XML.

MEMBER FUNCTION DOCUMENTATION

QXmlLocator::QXmlLocator ()
Constructor.

QXmlLocator::~QXmlLocator () [virtual]
Destructor.

int QXmlLocator::columnNumber () [pure virtual]
Returns the column number (starting at 1) or -1 if there is no column number available.

int QXmlLocator::lineNumber () [pure virtual]
Returns the line number (starting at 1) or -1 if there is no line number available.

SEE ALSO
http://doc.trolltech.com/qxmllocator.html http://www.trolltech.com/faq/tech.html

COPYRIGHT
Copyright 1992-2007 Trolltech ASA, http://www.trolltech.com. See the license file included in the distribution for a complete license statement.

AUTHOR
Generated automatically from the source code.

BUGS
If you find a bug in Qt, please report it as described in http://doc.trolltech.com/bughowto.html. Good bug reports help us to help you. Thank you.

The definitive Qt documentation is provided in HTML format; it is located at $QTDIR/doc/html and can be read using Qt Assistant or with a web browser. This man page is provided as a convenience for those users who prefer man pages, although this format is not officially supported by Trolltech.

If you find errors in this manual page, please report them to qt-bugs@trolltech.com. Please include the name of the manual page (qxmllocator.3qt) and the Qt version (3.3.8).